oap.h File Reference
Osmocom Authentication Protocol
`#include <stdint.h>`
`#include <osmocom/core/msgb.h>`
`#include <osmocom/gsm/protocol/gsm_04_08_gprs.h>`

Go to the source code of this file.

## Data Structures

struct | osmo_oap_message
| Parsed/decoded OAP protocol message. More...

## Enumerations

enum | osmo_oap_iei { OAP_CAUSE_IE = 0x02, OAP_RAND_IE = 0x20, OAP_AUTN_IE = 0x23, OAP_XRES_IE = 0x24, OAP_AUTS_IE = 0x25, OAP_CLIENT_ID_IE = 0x30 }
| Information Element Identifiers for OAP IEs. More...
enum | osmo_oap_message_type { OAP_MSGT_REGISTER_REQUEST = 0b00000100, OAP_MSGT_REGISTER_ERROR = 0b00000101, OAP_MSGT_REGISTER_RESULT = 0b00000110, OAP_MSGT_CHALLENGE_REQUEST = 0b00001000, OAP_MSGT_CHALLENGE_ERROR = 0b00001001, OAP_MSGT_CHALLENGE_RESULT = 0b00001010, OAP_MSGT_SYNC_REQUEST = 0b00001100, OAP_MSGT_SYNC_ERROR = 0b00001101, OAP_MSGT_SYNC_RESULT = 0b00001110 }
| OAP message types. More...

## Functions

int | osmo_oap_decode (struct osmo_oap_message *oap_msg, const uint8_t *const_data, size_t data_len)
| Decode OAP message data. More...
void | osmo_oap_encode (struct msgb *msg, const struct osmo_oap_message *oap_msg)
| Compose OAP message data. More...